org.apache.ignite.internal.processors.query.stat.messages

## Class StatisticsObjectData

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.messages.StatisticsObjectData

All Implemented Interfaces:
  Serializable, Message

    public class StatisticsObjectData
    extends Object
    implements Message

Statistics for some object (index or table) in database.

See Also:
  Serialized Form

### Field Summary

Fields
`static short` `TYPE_CODE`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`StatisticsObjectData()` Default constructor.
`StatisticsObjectData(StatisticsKeyMessage key, long rowsCnt, StatisticsType type, int partId, long updCnt, Map<String,StatisticsColumnData> data)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,StatisticsColumnData>` `data()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`StatisticsKeyMessage` `key()`
`void` `onAckReceived()` Method called when ack message received.
`int` `partId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`long` `rowsCnt()`
`StatisticsType` `type()`
`long` `updCnt()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_CODE

    public static final short TYPE_CODE

See Also:
  Constant Field Values

### Constructor Detail

#### StatisticsObjectData

    public StatisticsObjectData(StatisticsKeyMessage key,
                                long rowsCnt,
                                StatisticsType type,
                                int partId,
                                long updCnt,
                                Map<String,StatisticsColumnData> data)

Constructor.

Parameters:
  `key` - Statistics key.
  `rowsCnt` - Total row count.
  `type` - Statistics type.
  `partId` - Partition id.
  `updCnt` - Partition update counter.
  `data` - Map of statistics column data.

#### StatisticsObjectData

    public StatisticsObjectData()

Default constructor.

### Method Detail

#### key

    public StatisticsKeyMessage key()

Returns:
  Statistics key.

#### rowsCnt

    public long rowsCnt()

Returns:
  Total rows count.

#### type

    public StatisticsType type()

Returns:
  Statistics type.

#### partId

    public int partId()

Returns:
  Partition id.

#### updCnt

    public long updCnt()

Returns:
  Partition update counter.

#### data

    public Map<String,StatisticsColumnData> data()

Returns:
  Statistics column data.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022